### Method

# CM Matrix client_new

#### Declaration [src]

    CmClient*
    cm_matrix_client_new (
      CmMatrix* self
    )

#### Description [src]

Create a new `CmClient`. It’s an error to create a new client before opening the db with `cm_matrix_open_async()`.

#### Return value

Type: `CmClient`

A `CmClient`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.